# eric6.E5Network.E5GoogleMail

Module implementing a dialog to send bug reports.

### Global Attributes

APPLICATION_NAME
CLIENT_SECRET_FILE
SCOPES

### Classes

None

### Functions

GoogleMailHelp | Module function to get some help about how to enable the Google Mail OAuth2 service.
GoogleMailSendMessage | Module function to send an email message via Google Mail.
_prepareMessage_v2 | Module function to prepare the message for sending (Python2 Variant).
_prepareMessage_v3 | Module function to prepare the message for sending (Python2 Variant).
getCredentials | Module function to get the Google credentials.

## GoogleMailHelp

GoogleMailHelp()

Module function to get some help about how to enable the Google Mail OAuth2 service.

Returns:
  help text

Return Type:
  str

Up

## GoogleMailSendMessage

GoogleMailSendMessage(message)

Module function to send an email message via Google Mail.

message (email.mime.text.MIMEBase)
  email message to be sent

Returns:
  tuple containing a success flag and a result or error message

Return Type:
  tuple of (bool, str)

Up

## _prepareMessage_v2

_prepareMessage_v2(message)

Module function to prepare the message for sending (Python2 Variant).

message (email.mime.text.MIMEBase)
  message to be prepared

Returns:
  prepared message dictionary

Return Type:
  dict

Up

## _prepareMessage_v3

_prepareMessage_v3(message)

Module function to prepare the message for sending (Python2 Variant).

message (email.mime.text.MIMEBase)
  message to be prepared

Returns:
  prepared message dictionary

Return Type:
  dict

Up

## getCredentials

getCredentials()

Module function to get the Google credentials.

Returns:
  Google Mail credentials

Up